Energy history
GET
/history/energy
const url = 'https://demo.evcc.io/api/history/energy?from=2026-07-01T00%3A00%3A00Z&to=2026-07-02T00%3A00%3A00Z&aggregate=15m&grouped=false&group=forecast&name=db%3A8&title=Battery&format=json&lang=de';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://demo.evcc.io/api/history/energy?from=2026-07-01T00%3A00%3A00Z&to=2026-07-02T00%3A00%3A00Z&aggregate=15m&grouped=false&group=forecast&name=db%3A8&title=Battery&format=json&lang=de'Returns aggregated energy history data. Aggregate granularity defaults to 15 minutes. Supports CSV export.
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”from
string format: date-time
Example
2026-07-01T00:00:00ZStart time (RFC3339)
to
string format: date-time
Example
2026-07-02T00:00:00ZEnd time (RFC3339)
aggregate
string
Example
1hAggregation interval. Examples: 15m, 1h, day, month
grouped
boolean
Example
falseGroup results by loadpoint
group
string
Example
batteryFilter by entity group
name
string
Example
db:8Filter by entity name
title
string
Example
BatteryFilter by entity title
format
string
Example
jsonResponse format
lang
string
Example
deLanguage for CSV column headers (BCP 47, e.g. de, en). Defaults to Accept-Language header.
Responses
Section titled “Responses”Energy history data
object
Examplegenerated
{}string
Invalid parameters or database offline